curl https://production.methodfi.com/entities/ent_qKNBB68bfHGNA/connect \
-X POST \
-H "Method-Version: 2026-03-30" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
curl https://production.methodfi.com/entities/ent_qKNBB68bfHGNA/connect \
-X POST \
-H "Method-Version: 2026-03-30" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"bureau": "transunion",
"artifacts": ["raw_credit_report", "credit_report_pdf"]
}'
const entity = await method
.entities("ent_qKNBB68bfHGNA")
.connect
.create();
entity = method
.entities('ent_qKNBB68bfHGNA')
.connect
.create()
{
"id": "cxn_4ewMmBbjYDMR4",
"entity_id": "ent_qKNBB68bfHGNA",
"status": "completed",
"accounts": [
"acc_eKKmrXDpJBKgw",
"acc_GV8WbmJW7KGRy",
"acc_MLPKh9gQDDbT8",
"acc_LbXE8wVYJLrKt",
"acc_J3P9fayDFjpAy",
"acc_eFFRV9zmpLREK"
],
"requested_products": [],
"requested_subscriptions": [],
"files": [],
"error": null,
"created_at": "2024-04-12T14:56:46.645Z",
"updated_at": "2024-04-12T14:56:46.645Z"
}
{
"id": "cxn_4ewMmBbjYDMR4",
"entity_id": "ent_qKNBB68bfHGNA",
"status": "completed",
"accounts": [
"acc_eKKmrXDpJBKgw",
"acc_GV8WbmJW7KGRy",
"acc_MLPKh9gQDDbT8"
],
"requested_products": [],
"requested_subscriptions": [],
"files": [
{
"id": "file_jZWkPMhXPeYAn",
"type": "raw_credit_report",
"bureau": "transunion",
"mime_type": "application/json"
},
{
"id": "file_qTnUv7DdKcRW2",
"type": "credit_report_pdf",
"bureau": "transunion",
"mime_type": "application/pdf"
}
],
"error": null,
"created_at": "2024-04-12T14:56:46.645Z",
"updated_at": "2024-04-12T14:56:46.645Z"
}
Connect
Create a Connect
POST
/
entities
/
{ent_id}
/
connect
curl https://production.methodfi.com/entities/ent_qKNBB68bfHGNA/connect \
-X POST \
-H "Method-Version: 2026-03-30" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
curl https://production.methodfi.com/entities/ent_qKNBB68bfHGNA/connect \
-X POST \
-H "Method-Version: 2026-03-30" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"bureau": "transunion",
"artifacts": ["raw_credit_report", "credit_report_pdf"]
}'
const entity = await method
.entities("ent_qKNBB68bfHGNA")
.connect
.create();
entity = method
.entities('ent_qKNBB68bfHGNA')
.connect
.create()
{
"id": "cxn_4ewMmBbjYDMR4",
"entity_id": "ent_qKNBB68bfHGNA",
"status": "completed",
"accounts": [
"acc_eKKmrXDpJBKgw",
"acc_GV8WbmJW7KGRy",
"acc_MLPKh9gQDDbT8",
"acc_LbXE8wVYJLrKt",
"acc_J3P9fayDFjpAy",
"acc_eFFRV9zmpLREK"
],
"requested_products": [],
"requested_subscriptions": [],
"files": [],
"error": null,
"created_at": "2024-04-12T14:56:46.645Z",
"updated_at": "2024-04-12T14:56:46.645Z"
}
{
"id": "cxn_4ewMmBbjYDMR4",
"entity_id": "ent_qKNBB68bfHGNA",
"status": "completed",
"accounts": [
"acc_eKKmrXDpJBKgw",
"acc_GV8WbmJW7KGRy",
"acc_MLPKh9gQDDbT8"
],
"requested_products": [],
"requested_subscriptions": [],
"files": [
{
"id": "file_jZWkPMhXPeYAn",
"type": "raw_credit_report",
"bureau": "transunion",
"mime_type": "application/json"
},
{
"id": "file_qTnUv7DdKcRW2",
"type": "credit_report_pdf",
"bureau": "transunion",
"mime_type": "application/pdf"
}
],
"error": null,
"created_at": "2024-04-12T14:56:46.645Z",
"updated_at": "2024-04-12T14:56:46.645Z"
}
Creates a new Connect request to connect all liability accounts for the Entity.
Operation Type: or
Your request is processed asynchronously if
Prefer: respond-async header is set or if products / subscriptions are specified. You’ll receive a webhook when it’s complete.An initial Connect request will connect all liability accounts (closed and active),
all subsequent Connect requests will only return new accounts for an Entity.
Path Parameters
Query Parameters
Body
Raw credit report access (
bureau, artifacts) is a restricted feature.
Contact Method to enable it for your team. See
File objects for downloading generated
artifacts.Returns
Returns a object.curl https://production.methodfi.com/entities/ent_qKNBB68bfHGNA/connect \
-X POST \
-H "Method-Version: 2026-03-30" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
curl https://production.methodfi.com/entities/ent_qKNBB68bfHGNA/connect \
-X POST \
-H "Method-Version: 2026-03-30" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"bureau": "transunion",
"artifacts": ["raw_credit_report", "credit_report_pdf"]
}'
const entity = await method
.entities("ent_qKNBB68bfHGNA")
.connect
.create();
entity = method
.entities('ent_qKNBB68bfHGNA')
.connect
.create()
{
"id": "cxn_4ewMmBbjYDMR4",
"entity_id": "ent_qKNBB68bfHGNA",
"status": "completed",
"accounts": [
"acc_eKKmrXDpJBKgw",
"acc_GV8WbmJW7KGRy",
"acc_MLPKh9gQDDbT8",
"acc_LbXE8wVYJLrKt",
"acc_J3P9fayDFjpAy",
"acc_eFFRV9zmpLREK"
],
"requested_products": [],
"requested_subscriptions": [],
"files": [],
"error": null,
"created_at": "2024-04-12T14:56:46.645Z",
"updated_at": "2024-04-12T14:56:46.645Z"
}
{
"id": "cxn_4ewMmBbjYDMR4",
"entity_id": "ent_qKNBB68bfHGNA",
"status": "completed",
"accounts": [
"acc_eKKmrXDpJBKgw",
"acc_GV8WbmJW7KGRy",
"acc_MLPKh9gQDDbT8"
],
"requested_products": [],
"requested_subscriptions": [],
"files": [
{
"id": "file_jZWkPMhXPeYAn",
"type": "raw_credit_report",
"bureau": "transunion",
"mime_type": "application/json"
},
{
"id": "file_qTnUv7DdKcRW2",
"type": "credit_report_pdf",
"bureau": "transunion",
"mime_type": "application/pdf"
}
],
"error": null,
"created_at": "2024-04-12T14:56:46.645Z",
"updated_at": "2024-04-12T14:56:46.645Z"
}
⌘I